Page MenuHomePhabricator

Create SecurePoll voter list for 2023 Universal Code of Conduct vote on revised enforcement guidelines
Closed, ResolvedPublic

Description

Similarly to T309753: Create SecurePoll voter list for 2022 board vote and similar tasks, we need to have an eligible editors voter list generated and populated into SecurePoll.

The eligibility criteria will be the same as in the 2022 board vote (albeit with different cutoff dates) and will be accessible on Meta-Wiki shortly.

This will require following the steps on Wikitech which in July involved patches co-authored by @PleaseStand and @Zabe.

Event Timeline

Change 866654 had a related patch set uploaded (by Foks; author: Foks):

[mediawiki/extensions/SecurePoll@master] SecurePoll: Add files for UCoC 2023 vote

https://gerrit.wikimedia.org/r/866654

Waiting on CR for the above. The actual voter list cannot be generated until 4 January 2023.

Waiting on CR for the above. The actual voter list cannot be generated until 4 January 2023.

Would've been nice to get T316488: WMF vote lists for SecurePoll does not count Flow (StructuredDiscussions) edits in voter eligibility sorted and be able to use the updated version this time around...

Waiting on CR for the above. The actual voter list cannot be generated until 4 January 2023.

Ah, and I'm not sure when the first train of the NY is due to run (and as such, when the script would be run, which obviously can't be before 4 Jan 2023); so might need manually backporting...

2nd Jan 2023 is a WMF holiday, so in theory the train could run on the 3rd onwards...

Change 866654 merged by jenkins-bot:

[mediawiki/extensions/SecurePoll@master] SecurePoll: Add files for UCoC 2023 vote

https://gerrit.wikimedia.org/r/866654

Ah, and I'm not sure when the first train of the NY is due to run (and as such, when the script would be run, which obviously can't be before 4 Jan 2023); so might need manually backporting...

2nd Jan 2023 is a WMF holiday, so in theory the train could run on the 3rd onwards...

All good I think. The earliest we can generate the lists (or rather, begin the 3-ish day process) is 4 Jan, and the actual vote isn't until 17 January

Aklapper set Due Date to Jan 13 2023, 11:00 PM.Dec 13 2022, 6:18 PM

The change to the script for T316488: WMF vote lists for SecurePoll does not count Flow (StructuredDiscussions) edits in voter eligibility is now merged. It should ride the train together with https://gerrit.wikimedia.org/r/866654 , so the lists for the UCoC 2023 vote should account for Flow edits.

Change 868464 had a related patch set uploaded (by Reedy; author: Reedy):

[mediawiki/extensions/SecurePoll@master] ucoc2023: Update populateEditCount to count Flow edits

https://gerrit.wikimedia.org/r/868464

The change to the script for T316488: WMF vote lists for SecurePoll does not count Flow (StructuredDiscussions) edits in voter eligibility is now merged. It should ride the train together with https://gerrit.wikimedia.org/r/866654 , so the lists for the UCoC 2023 vote should account for Flow edits.

Thank you for supporting this!!

jrbs changed Due Date from Jan 13 2023, 11:00 PM to Jan 10 2023, 11:00 PM.Dec 19 2022, 5:06 PM

Change 874871 had a related patch set uploaded (by Majavah; author: Foks):

[mediawiki/extensions/SecurePoll@wmf/1.40.0-wmf.14] SecurePoll: Add files for UCoC 2023 vote

https://gerrit.wikimedia.org/r/874871

Change 868464 merged by jenkins-bot:

[mediawiki/extensions/SecurePoll@master] ucoc2023: Update populateEditCount to count Flow edits

https://gerrit.wikimedia.org/r/868464

Change 874872 had a related patch set uploaded (by Majavah; author: Reedy):

[mediawiki/extensions/SecurePoll@wmf/1.40.0-wmf.17] ucoc2023: Update populateEditCount to count Flow edits

https://gerrit.wikimedia.org/r/874872

Change 874873 had a related patch set uploaded (by Majavah; author: Reedy):

[mediawiki/extensions/SecurePoll@wmf/1.40.0-wmf.14] ucoc2023: Update populateEditCount to count Flow edits

https://gerrit.wikimedia.org/r/874873

Change 874871 merged by jenkins-bot:

[mediawiki/extensions/SecurePoll@wmf/1.40.0-wmf.14] SecurePoll: Add files for UCoC 2023 vote

https://gerrit.wikimedia.org/r/874871

Change 874873 merged by jenkins-bot:

[mediawiki/extensions/SecurePoll@wmf/1.40.0-wmf.14] ucoc2023: Update populateEditCount to count Flow edits

https://gerrit.wikimedia.org/r/874873

Change 874872 merged by jenkins-bot:

[mediawiki/extensions/SecurePoll@wmf/1.40.0-wmf.17] ucoc2023: Update populateEditCount to count Flow edits

https://gerrit.wikimedia.org/r/874872

Mentioned in SAL (#wikimedia-operations) [2023-01-03T14:56:32Z] <taavi@deploy1002> Started scap: Backport for [[gerrit:874871|SecurePoll: Add files for UCoC 2023 vote (T324793)]], [[gerrit:874872|ucoc2023: Update populateEditCount to count Flow edits (T324793)]], [[gerrit:874873|ucoc2023: Update populateEditCount to count Flow edits (T324793)]]

Mentioned in SAL (#wikimedia-operations) [2023-01-03T14:58:23Z] <taavi@deploy1002> taavi and taavi: Backport for [[gerrit:874871|SecurePoll: Add files for UCoC 2023 vote (T324793)]], [[gerrit:874872|ucoc2023: Update populateEditCount to count Flow edits (T324793)]], [[gerrit:874873|ucoc2023: Update populateEditCount to count Flow edits (T324793)]] synced to the testservers: mwdebug2002.codfw.wmnet, mwdebug1001.eqiad.wmnet, mwdebug2001.codfw.wmnet, mwdebug1002.eqiad.wmnet

Mentioned in SAL (#wikimedia-operations) [2023-01-03T15:04:43Z] <taavi@deploy1002> Finished scap: Backport for [[gerrit:874871|SecurePoll: Add files for UCoC 2023 vote (T324793)]], [[gerrit:874872|ucoc2023: Update populateEditCount to count Flow edits (T324793)]], [[gerrit:874873|ucoc2023: Update populateEditCount to count Flow edits (T324793)]] (duration: 08m 10s)

67,000+ users now added to the voter roll. Thanks everyone!